<div class="container-fluid">
  <div class="row mb-10" [@fadeAnimation]="'in'" *ngIf="preText && current && currentIndex == 1 && !currentFeedback">
    <div class="col-12">
      <span [innerHTML]="preText"></span>
    </div>
  </div>

  <div class="row mb-20 question" [@fadeAnimation]="'in'" *ngIf="current && !currentFeedback">
    <div class="col-10 offset-1 dp-flex flex-row center">
      <div class="box-index bg-color-1 color-10">
        <span class="ft-keepcalm-medium ft-50 color-3">{{ currentIndex }}</span>
      </div>
      <div class="box-answer">
        <span class="ft-opensans-bold color-1" [innerHTML]="current.text | safeHtml"></span>
      </div>
    </div>
  </div>

  <div class="row" [@fadeAnimation]="'in'" *ngIf="current && !currentFeedback">
    <div class="col-11 offset-1 pdr-20">
      <div class="option dp-flex flex-row center mb-5" *ngFor="let option of current.options; let i = index" (click)="select(i)">
        <div class="marker-letter dp-flex flex-row">
          <div class="marker dp-flex center">
            <div class="marker-selected" *ngIf="isOptionSelected(i) && (!showAnswer || !currentChecked)"></div>
            <div class="marker-selected-wrong" *ngIf="showAnswer && currentChecked && isOptionSelected(i) && !isCorrect(i)"></div>
            <div class="marker-selected-correct" *ngIf="showAnswer && currentChecked && isCorrect(i)"></div>
          </div>

          <div class="letter color-11">
              <strong>{{ LETTERS[i] }})</strong>
          </div>
        </div>

        <div class="content" [innerHTML]="option | safeHtml"></div>
      </div>
    </div>
  </div>

  <!-- Conferir -->
  <div class="row" *ngIf="current && (showAnswer || hasQuestionFeedback) && !currentChecked">
    <div class="col-2 offset-5">
        <div class="check button button-3 color-1 ft-15 ft-opensans-bold" *ngIf="hasOptionSelected()" (click)="check()">
          CONFERIR
        </div>
    </div>
  </div>

  <!-- Feedback de questão -->
  <div class="row ft-opensans ft-20" style="align-items: center; min-height: 385px;" [@fadeAnimation]="'in'" *ngIf="currentFeedback">
    <div class="offset-md-2 col-md-8 col-12" style="align-items: flex-start; display: flex; flex-direction: column; justify-content: flex-start;">
      <div class="{{currentFeedback.containerClasses}}" style="text-align: center;">
        <span class="ft-20" [innerHTML]="currentFeedback.text | safeHtml"></span>
      </div>
    </div>
  </div>

  <!-- Seguir Feedback -->
  <div class="row" [@fadeAnimation]="'in'" *ngIf="current && currentChecked && hasQuestionFeedback && !currentFeedback">
    <div class="col-2 offset-5">
        <div class="check button button-3 color-1 ft-15 ft-opensans-bold" *ngIf="hasOptionSelected()" (click)="goFeedback()">
          SEGUIR
        </div>
    </div>
  </div>

  <!-- Seguir -->
  <div class="row" [@fadeAnimation]="'in'" *ngIf="current && ((!showAnswer && !hasQuestionFeedback) || (showAnswer && currentChecked && !hasQuestionFeedback) || (hasQuestionFeedback && currentFeedback))">
    <div class="col-2 offset-5">
        <div class="check button button-3 color-1 ft-15 ft-opensans-bold" *ngIf="hasOptionSelected()" (click)="goNext()">
          SEGUIR
        </div>
    </div>
  </div>

  <!-- Feedback -->
  <div class="row" style="align-items: center; min-height: 350px;" [@fadeAnimation]="'in'" *ngIf="feedback">

    <!-- Gabarito -->
    <div class="col-4 offset-1 feedback-answers">
      <table border="1">
        <thead>
          <tr><th>Questão</th><th>Correta</th><th>Incorreta</th></tr>
        </thead>
        <tbody>
          <tr *ngFor="let answer of answersTemplate; let i = index">
            <td><strong>{{i + 1}}</strong></td>
            <td><img src="./assets/images/shared-icon-correct.png" *ngIf="answer === true" /></td>
            <td><img src="./assets/images/shared-icon-wrong.png" *ngIf="answer === false" /></td>
          </tr>
        </tbody>
      </table>
    </div>

    <div class="col-5 offset-1" style="align-items: flex-start; display: flex; flex-direction: column; justify-content: flex-start; width: 100%;">
      <div class="{{feedback.containerClasses}}" style="text-align: center; width: 100%;">
        <span class="" [innerHTML]="feedback.text | safeHtml"></span>
        <span *ngIf="feedback.canTryAgain">
            <br>
            <div class="button-3 color-1 ft-15" style="margin: auto; max-width: 240px;" (click)="review()">REFAZER AVALIAÇÃO</div>
        </span>
      </div>
    </div>
  </div>
</div>